Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class MenuAdapter

    java.lang.Object
      org.eclipse.swt.events.MenuAdapter

All Implemented Interfaces:
  MenuListener

public abstract class MenuAdapter
extends java.lang.Object
implements MenuListener

This adapter class provides default implementations for the methods described by the `MenuListener` interface.

Classes that wish to deal with `MenuEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `MenuListener`, `MenuEvent`

Constructor Summary
`MenuAdapter()`

Method Summary
`void` `menuHidden(MenuEvent e)` Sent when a menu is hidden.
`void` `menuShown(MenuEvent e)` Sent when a menu is shown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuAdapter

    public MenuAdapter()

Method Detail

### menuHidden

    public void menuHidden(MenuEvent e)

  Sent when a menu is hidden. The default behavior is to do nothing.

  Specified by:
    `menuHidden` in interface `MenuListener`
  Parameters:
    `e` - an event containing information about the menu operation

### menuShown

    public void menuShown(MenuEvent e)

  Sent when a menu is shown. The default behavior is to do nothing.

  Specified by:
    `menuShown` in interface `MenuListener`
  Parameters:
    `e` - an event containing information about the menu operation

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.